:root{
    --color-background : #F0F4FF;
    --elements-color: #99dbff;
    --element-content-color: #b6edff;
    --text-content-color: #221f30;
    --text-title-color: #0e0e0e;
    --swiper-theme-color: #007aff;
}


html{
    scroll-behavior: smooth;
}


body{
    font-family: 'Cabin', sans-serif;
    margin: 0;
    /* background: rgb(0,0,0); */
    /* background: linear-gradient(180deg, rgba(0,0,0,1) 12%, rgba(255,255,255,1) 28%);   */
    background: var(--color-background);
    overflow-x: hidden;
}

/***WHATSAPP****/
#whatsapp{
    position: fixed;
    bottom: 20px;
    right: 20px;
    z-index: 100;
}
#whatsapp img{
    height: 70px;
    transition: 0.6s;
}
#whatsapp img:hover{
    transform: scale(1.3);
}
@media (max-width:380px){
    #whatsapp{
        bottom: 2px;
        right: 2px;
    }
}

/***Encabezado****/
.encabezado-contenedor{
    margin: auto;
    text-align: left;
    width: 80%;
    margin-bottom: 35px;

}


.encabezado-contenedor-central{
    margin: auto;
    text-align: center;
    width: 80%;
    margin-top: -90px;
    padding-bottom: 60px !important;
}

.tema-seccion{
    color: var(--swiper-theme-color);
    font-size: 20px;
    font-weight: 900;
    margin-bottom: -25px;
}

.titulo-seccion{
    color: var(--text-title-color);
    font-size: 44px;
    margin-bottom: 0px;
}

.descripcion-seccion{
    color: var(--text-content-color);
    font-size: 24px;
}



/********************************** Beneficios *************************************/
/* #beneficios{
    padding-top: 30px;
    padding-bottom: 100px;
    width: 60%;    
    background-color: #ecf0f0;
    display: flex;    
    flex-direction: column;
    align-items: center;
} */

#beneficios{
    margin: auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin-top: 1rem;
    /* background-color: #ecf0f0; */
    border-radius: 1rem;
    padding-top: 2rem;
    padding-bottom: 2rem;
    width: 90% !important;
    /* margin-left: 5%; */
    text-align: center;
}


.beneficio{
    background: white;
    box-shadow: 0 0 30px 0 rgb(66 1 131 / 14%);
    width: 200px;
    height: 150px !important;
    border-radius: 10px;
    margin-right: 20px;
    margin-left: 20px;
    margin-top: 19px;
    position: relative;
}

.beneficio .imagen{
    width: 60%;
    height: 60%;
    /* background: rgb(223, 190, 241); */
    background: var(--elements-color);
    box-shadow: 0 0 30px 0 rgb(66 1 131 / 7%);
    border-radius: 10px;
    display: inline-flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: absolute;
    
    top: -25%;
    left: -10%;
}


.beneficio img{
    width: 70%;
}

.beneficio p{
    margin: auto;
    width: 80%;
    padding-top: 70px;
    font-size: 22px;
    color: var(--text-content-color);
    text-align: center;
}

.elementos{
    overflow: hidden;
    margin: auto;
    display: flex;
    gap: 40px;
    width: 80%;    
}

.glider-dot{
    display: block;
    width: 15px !important;
    height:15px !important;
    background-color: rgb(255, 255, 255) !important;
    border-radius: 0;
}
.glider-dot:hover{
    opacity: 1;
}

.glider-dot.active{
    background-color: var(--elements-color) !important;
}


/******************************** Funcionamiento **********************************/
#funcionamiento{
    padding-top: 30px;
    padding-bottom: 100px;
    width: 100%;    
    display: flex;    
    flex-direction: column;
    align-items: center;
    margin: auto;
    background-image: url("../img/vectores/v3dd.webp");
    background-repeat: no-repeat;
    background-size: cover;
}
#funcionamiento h1{
    margin-top: 0px;
    font-size: 35px;
    text-align: center;
    margin-bottom: 40px;
    color: var(--text-content-color);
    padding-bottom: 0;
}

#funcionamiento .pasos{
    position: absolute;
    background-color: var(--elements-color);
    box-shadow: 0 0 20px 0 rgb(66 1 131 / 24%);
    height: 55px;
    width: 55px;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    bottom: 50%;
    right: 42%;
    transform: translate(-50%,-50%);
    z-index: 3;
}
#funcionamiento .pasos p{
    color: var(--color-background);
    font-size: 30px;
    font-weight: 900;
}

#funcionamiento .contenedor{
    position: relative;
    display: flex;
    flex-direction: column;
    padding-top: 0;
    width: 250px;
    height: 850px;
    margin-top: 40px;
}
#funcionamiento .raya{
    position: absolute;
    width: 3px;
    height: 320%;
    background-color: var(--elements-color);
    top: -160px;
    left: 49.6%;
    z-index: 2 !important;
}

#funcionamiento .contenido{
    position: relative;
    left: 30px;
    width: 90%;
    height: 380px;
    top: 2px !important;

}
.revelar{
    opacity: 0;
    transform: translateY(150px);
    transition: all 2s ease;
}

 .activo{
    transform: translateY(0px);
    opacity: 1;
    z-index: 20;
}

.pasos .imagen{
    left: 105px;
    top: -10px;
    position: absolute  ;
    height: 140px;
    width: 220px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    background: rgb(227,248,255);
background: radial-gradient(circle, rgba(227,248,255,1) 0%, rgba(240,251,255,1) 35%, rgba(255,255,255,1) 100%);
    box-shadow: 0 0 46px 0 rgb(66 1 131 / 7%);
    padding-bottom:50px;
    border-radius: 10px;
}

.pie-img{
    color: var(--text-content-color) !important;
    font-size: 15px !important;
    margin-top: 2px;
    padding-left: 20px;
    font-weight: 500 !important;
}

.dos .imagen{
    left: -250px;
} 

@media (max-width:615px) {
    .pasos .imagen{
        left: 70px;
        height: 140px;
        width: 155px;
        z-index: -10;
    }
    .pasos .contenido{
        right: 100px !important;
    }
    #funcionamiento{
        align-items: baseline;    
        margin-bottom: 20%;
    }
    #funcionamiento h1{
        padding: 10px 10px;
        font-size: 25px;
    }
    #funcionamiento .contenedor{
        width: 65%;
        align-items: baseline;
    }
    #funcionamiento img{
        height: 110px;
    }
    .grande{
        height: 80px !important;
    }
}



/*************CONTACTO******************/
#contacto{
    margin: auto;
    position: relative;
    height: 100vh;
    width: 100%;
    display: flex;
    align-items: center;
    flex-direction: column;
    margin-top: 70px;
    background-image: url("../img/vectores/v5dd.webp");
    background-repeat: no-repeat;
    background-size: cover;
    z-index: 3;
}

#contacto h2{
    margin: auto;
    width: 85%;
    text-align: center;
    font-size: 29px;
    margin-bottom: 25px;
    font-weight: bold;
}

.contenedor-contacto{
    background: rgb(255, 255, 255);
    box-shadow: 0 0 30px 0 rgb(66 1 131 / 14%);
    width: 500px;
    height: 470px;
    border-radius: 10px;
    padding: 20px;
}


#contacto .contenedor-campos{
    margin: auto;
    width: 90%;
    height: 80%;
    position: relative;
    display:flex;
    justify-content: center;
}

#contacto .campo{
    margin: auto;
    width: 450px;
    margin-bottom: 35px;
    margin-top: -15px;
}

#contacto .campo p{
    margin-bottom: 5px;
    font-weight: 100;
    color: var(--text-content-color);
    text-align: left;
    margin-left: -3px;
}

#contacto input,textarea{
    width: 100%;
    margin-left: -4px;
    border-radius: 6px;
    padding: 4px;
    border: 1px solid rgb(141, 141, 141);
}

#contacto input::placeholder,textarea::placeholder{
    color: rgb(173, 173, 173);
    font-weight: 100;
}



#contacto textarea{
    outline: none;
    resize: none;
    height: 55px;
}

#contacto form{
    margin: auto;
    margin-top: 0px;
    width: 100%;
    height: 400px;
    justify-content: center;
    align-items: center;
    text-align: center;
}

#contacto button{
    background-color: #00CFDE;
    color: aliceblue;
    text-decoration: none;
    font-weight: 500;
    font-size: 24px;
    width: 120px;
    height: 40px;
    padding: 5px;
    border-radius: 1rem;
    border: none;
    box-shadow: 0 4px 8px 0 rgb(0 0 0 / 25%);
    transition: background-color ease-in-out 0.5s;
    transition: transform ease-in-out 0.5s;
}

#contacto button:hover{
    background-color: #34d4e9;
    transform: scale(1.02);
}


@media (max-width:550px){
    .contenedor-contacto{
        width: 80%;
        padding-top: 10px;
    }
    #contacto .campo{
        width: 90%;        
    }
}

@media (max-width:330px){
    .contenedor-contacto{
        height: 500px;
    }
}
